Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000432FlexRAID RAID-F[All Projects] Generalpublic2016-10-26 12:572017-01-07 08:10
Reporterdedjer 
Assigned ToBrahim 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000432: Cannot delete scheduled UPDATE task
DescriptionI created a scheduled task to perform an UPDATE that occurs DAILY and runs from today with no end date.

I'm thinking the dupe entry is created because I didn't specify an END DATE. Not having an end date may result in two jobs being created and giving me problems deleting them.

Unfortunately, the job never runs and throws the below error:

[2016-10-25 04:00:00,000] ERROR: Error retrieving job, setting trigger state to ERROR.
org.quartz.JobPersistenceException: Couldn't retrieve job: Duplicate entry error for JobDetailsModel [See nested exception: java.sql.SQLException: Duplicate entry error for JobDetailsModel]
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.retrieveJob(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.triggerFired(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport$38.execute(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.triggerFired(Unknown Source)
    at org.quartz.core.QuartzSchedulerThread.run(Unknown Source)
Caused by: java.sql.SQLException: Duplicate entry error for JobDetailsModel
    at com.tchegbe.lib.ext.service.CommonPersistenceService.find(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.AbstractObjectDBQuartzDriverDelegate.<unknown>(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.ObjectDBQuartzDriverDelegate.selectJobDetail(Unknown Source)
    ... 6 more
[2016-10-25 04:00:00,001] ERROR: An error occured while firing trigger 'SNAPSHOT-update.1476840005553-update;Every Day at: 04:00:00[Starting = 2016/10/24 00:00:00] '
org.quartz.JobPersistenceException: Couldn't retrieve job: Duplicate entry error for JobDetailsModel [See nested exception: java.sql.SQLException: Duplicate entry error for JobDetailsModel]
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.retrieveJob(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.triggerFired(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport$38.execute(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.triggerFired(Unknown Source)
    at org.quartz.core.QuartzSchedulerThread.run(Unknown Source)
Caused by: java.sql.SQLException: Duplicate entry error for JobDetailsModel
    at com.tchegbe.lib.ext.service.CommonPersistenceService.find(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.AbstractObjectDBQuartzDriverDelegate.<unknown>(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.ObjectDBQuartzDriverDelegate.selectJobDetail(Unknown Source)
    ... 6 more
Steps To ReproduceI created a scheduled task to perform an UPDATE that occurs DAILY and runs from today with no end date.

Two entries are created in scheduler.

If I tried to delete either entry I get the following error:

Couldn't remove trigger: Duplicate entry error for JobDetailsModel
Additional InformationThe log contains the following when trying to remove the scheduled job(s)

[2016-10-26 07:49:23,139] ERROR: Couldn't remove trigger: Duplicate entry error for JobDetailsModel
org.quartz.JobPersistenceException: Couldn't remove trigger: Duplicate entry error for JobDetailsModel [See nested exception: java.sql.SQLException: Duplicate entry error for JobDetailsModel]
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.removeTrigger(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport$8.execute(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreTX.executeInLock(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.removeTrigger(Unknown Source)
    at org.quartz.core.QuartzScheduler.unscheduleJob(Unknown Source)
    at org.quartz.impl.StdScheduler.unscheduleJob(Unknown Source)
    at com.tchegbe.lib.a.a.a.a(Unknown Source)
    at com.tchegbe.lib.a.a.a.a(Unknown Source)
    at com.tchegbe.lib.a.c.c.manageTrigger(Unknown Source)
    at com.google.gwt.user.server.rpc.RPC.<unknown>(Unknown Source)
    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(Unknown Source)
    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(Unknown Source)
    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(Unknown Source)
    at javax.servlet.http.HttpServlet.service(Unknown Source)
    at javax.servlet.http.HttpServlet.service(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHolder.handle(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(Unknown Source)
    at com.tchegbe.lib.gwt.server.servlet.SecurityFilter.doFilter(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(Unknown Source)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(Unknown Source)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(Unknown Source)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(Unknown Source)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(Unknown Source)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(Unknown Source)
    at org.eclipse.jetty.server.handler.HandlerList.handle(Unknown Source)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(Unknown Source)
    at org.eclipse.jetty.server.Server.handle(Unknown Source)
    at org.eclipse.jetty.server.HttpConnection.handleRequest(Unknown Source)
    at org.eclipse.jetty.server.HttpConnection$RequestHandler.content(Unknown Source)
    at org.eclipse.jetty.http.HttpParser.parseNext(Unknown Source)
    at org.eclipse.jetty.http.HttpParser.parseAvailable(Unknown Source)
    at org.eclipse.jetty.server.BlockingHttpConnection.handle(Unknown Source)
    at org.eclipse.jetty.server.bio.SocketConnector$ConnectorEndPoint.run(Unknown Source)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.<unknown>(Unknown Source)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.sql.SQLException: Duplicate entry error for JobDetailsModel
    at com.tchegbe.lib.ext.service.CommonPersistenceService.find(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.AbstractObjectDBQuartzDriverDelegate.<unknown>(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.ObjectDBQuartzDriverDelegate.selectJobForTrigger(Unknown Source)
    ... 39 more
[2016-10-26 07:49:23,140] ERROR: Couldn't remove trigger: Duplicate entry error for JobDetailsModel
org.quartz.JobPersistenceException: Couldn't remove trigger: Duplicate entry error for JobDetailsModel [See nested exception: java.sql.SQLException: Duplicate entry error for JobDetailsModel]
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.removeTrigger(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport$8.execute(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.executeInNonManagedTXLock(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreTX.executeInLock(Unknown Source)
    at org.quartz.impl.jdbcjobstore.JobStoreSupport.removeTrigger(Unknown Source)
    at org.quartz.core.QuartzScheduler.unscheduleJob(Unknown Source)
    at org.quartz.impl.StdScheduler.unscheduleJob(Unknown Source)
    at com.tchegbe.lib.a.a.a.a(Unknown Source)
    at com.tchegbe.lib.a.a.a.a(Unknown Source)
    at com.tchegbe.lib.a.c.c.manageTrigger(Unknown Source)
    at com.google.gwt.user.server.rpc.RPC.<unknown>(Unknown Source)
    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(Unknown Source)
    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(Unknown Source)
    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(Unknown Source)
    at javax.servlet.http.HttpServlet.service(Unknown Source)
    at javax.servlet.http.HttpServlet.service(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHolder.handle(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(Unknown Source)
    at com.tchegbe.lib.gwt.server.servlet.SecurityFilter.doFilter(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(Unknown Source)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(Unknown Source)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(Unknown Source)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(Unknown Source)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(Unknown Source)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(Unknown Source)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(Unknown Source)
    at org.eclipse.jetty.server.handler.HandlerList.handle(Unknown Source)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(Unknown Source)
    at org.eclipse.jetty.server.Server.handle(Unknown Source)
    at org.eclipse.jetty.server.HttpConnection.handleRequest(Unknown Source)
    at org.eclipse.jetty.server.HttpConnection$RequestHandler.content(Unknown Source)
    at org.eclipse.jetty.http.HttpParser.parseNext(Unknown Source)
    at org.eclipse.jetty.http.HttpParser.parseAvailable(Unknown Source)
    at org.eclipse.jetty.server.BlockingHttpConnection.handle(Unknown Source)
    at org.eclipse.jetty.server.bio.SocketConnector$ConnectorEndPoint.run(Unknown Source)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.<unknown>(Unknown Source)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.sql.SQLException: Duplicate entry error for JobDetailsModel
    at com.tchegbe.lib.ext.service.CommonPersistenceService.find(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.AbstractObjectDBQuartzDriverDelegate.<unknown>(Unknown Source)
    at com.tchegbe.lib.ext.scheduler.ObjectDBQuartzDriverDelegate.selectJobForTrigger(Unknown Source)
    ... 39 more
TagsNo tags attached.
RAID-F Version 2.1
Attached Filesdocx file icon flexraid scheduler error.docx [^] (255,763 bytes) 2016-10-26 12:57

- Relationships

-  Notes
(0001619)
Brahim (manager)
2017-01-07 08:10

This is fixed for the next release.

- Issue History
Date Modified Username Field Change
2016-10-26 12:57 dedjer New Issue
2016-10-26 12:57 dedjer File Added: flexraid scheduler error.docx
2017-01-07 08:10 Brahim Note Added: 0001619
2017-01-07 08:10 Brahim Status new => resolved
2017-01-07 08:10 Brahim Resolution open => fixed
2017-01-07 08:10 Brahim Assigned To => Brahim


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker